// The module 'vscode' contains the VS Code extensibility API
// Import the module and reference it with the alias vscode in your code below
var vscode = require('vscode');

// this method is called when your extension is activated
// your extension is activated the very first time the command is executed
function activate(context) {

    // Use the console to output diagnostic information (console.log) and errors (console.error)
    // This line of code will only be executed once when your extension is activated
    console.log('Congratulations, your extension "next-note" is now active!');

    // The command has been defined in the package.json file
    // Now provide the implementation of the command with  registerCommand
    // The commandId parameter must match the command field in package.json
    var disposable = vscode.commands.registerCommand('extension.sayHello', function () {
        // The code you place here will be executed every time your command is executed

        // Display a message box to the user
        vscode.window.showInformationMessage('Hello World!');
    });
    context.subscriptions.push(disposable);

    context.subscriptions.push(vscode.commands.registerTextEditorCommand('extension.nextNoteInsertDate', function () {
        var editor = vscode.window.activeTextEditor;
        if (!editor) {
            console.error("no active editor");
            return;
        };
        //editor.document.getWordRangeAtPosition
        var cursorEnd = editor.selection.end;
        if (editor.document.lineCount > cursorEnd.line+1) {
            cursorEnd.line += 1;
        }
        editor.edit(editBuilder => {
            editBuilder.insert(cursorEnd, "farts\n");
        });
        console.log(cursorEnd);
    }));
}
exports.activate = activate;

// this method is called when your extension is deactivated
function deactivate() {
    console.log("next-note deactivated")
}
exports.deactivate = deactivate;